Index: /ruby/trunk/app/models/archetype_datum.rb
===================================================================
--- /ruby/trunk/app/models/archetype_datum.rb	(revision 404)
+++ /ruby/trunk/app/models/archetype_datum.rb	(revision 404)
@@ -0,0 +1,2 @@
+class ArchetypeDatum < ActiveRecord::Base
+end
Index: /ruby/trunk/db/migrate/20100129010414_create_archetype_data.rb
===================================================================
--- /ruby/trunk/db/migrate/20100129010414_create_archetype_data.rb	(revision 404)
+++ /ruby/trunk/db/migrate/20100129010414_create_archetype_data.rb	(revision 404)
@@ -0,0 +1,19 @@
+class CreateArchetypeData < ActiveRecord::Migration
+  def self.up
+    create_table :archetype_data do |t|
+      t.string :oid
+      t.string :archetype_id
+      t.string :concept
+      t.string :path
+      t.string :text_data
+      t.integer :integer_data
+      t.real :real_data
+
+      t.timestamps
+    end
+  end
+
+  def self.down
+    drop_table :archetype_data
+  end
+end
Index: /ruby/trunk/db/schema.rb
===================================================================
--- /ruby/trunk/db/schema.rb	(revision 403)
+++ /ruby/trunk/db/schema.rb	(revision 404)
@@ -10,5 +10,16 @@
 # It's strongly recommended to check this file into your version control system.
 
-ActiveRecord::Schema.define(:version => 20090725052538) do
+ActiveRecord::Schema.define(:version => 20100129010414) do
+
+  create_table "archetype_data", :force => true do |t|
+    t.string   "oid"
+    t.string   "archetype_id"
+    t.string   "concept"
+    t.string   "path"
+    t.string   "text_data"
+    t.integer  "integer_data"
+    t.datetime "created_at"
+    t.datetime "updated_at"
+  end
 
   create_table "terminologies", :force => true do |t|
Index: /ruby/trunk/lib/open_ehr/builder.rb
===================================================================
--- /ruby/trunk/lib/open_ehr/builder.rb	(revision 404)
+++ /ruby/trunk/lib/open_ehr/builder.rb	(revision 404)
@@ -0,0 +1,4 @@
+module OpenEHR
+  class Builder
+  end
+end
Index: /ruby/trunk/lib/open_ehr/parser.rb
===================================================================
--- /ruby/trunk/lib/open_ehr/parser.rb	(revision 404)
+++ /ruby/trunk/lib/open_ehr/parser.rb	(revision 404)
@@ -0,0 +1,19 @@
+module OpenEHR
+  class Parser
+    def parse
+
+    end
+
+    def load(file)
+
+    end
+  end
+
+  class ADLParser < Parser
+
+  end
+
+  class XMLParser < Parser
+
+  end
+end
Index: /ruby/trunk/lib/open_ehr/serializer.rb
===================================================================
--- /ruby/trunk/lib/open_ehr/serializer.rb	(revision 404)
+++ /ruby/trunk/lib/open_ehr/serializer.rb	(revision 404)
@@ -0,0 +1,13 @@
+module OpenEHR
+  class Serializer
+    
+  end
+
+  class ADLSerializer < Serializer
+
+  end
+
+  class XMLSerializer < Serializer
+
+  end
+end
Index: /ruby/trunk/spec/models/archetype_datum_spec.rb
===================================================================
--- /ruby/trunk/spec/models/archetype_datum_spec.rb	(revision 404)
+++ /ruby/trunk/spec/models/archetype_datum_spec.rb	(revision 404)
@@ -0,0 +1,19 @@
+require 'spec_helper'
+
+describe ArchetypeDatum do
+  before(:each) do
+    @valid_attributes = {
+      :oid => "value for oid",
+      :archetype_id => "value for archetype_id",
+      :concept => "value for concept",
+      :path => "value for path",
+      :text_data => "value for text_data",
+      :integer_data => 1,
+      :real_data => 
+    }
+  end
+
+  it "should create a new instance given valid attributes" do
+    ArchetypeDatum.create!(@valid_attributes)
+  end
+end
